Name:    vitetris
Summary: Virtual terminal *tris clone
Version: 0.58.0
Release: 1%{?dist}
License: BSD
URL:     http://victornils.net/tetris
Source0: https://github.com/vicgeralds/vitetris/archive/v%{version}/vitetris-%{version}.tar.gz
Source1: vitetris.appdata.xml

# Avoid stripping.
# Set /var directory.
Patch0:  vitetris-0.patch

BuildRequires: gcc, desktop-file-utils
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: allegro-devel
BuildRequires: libXext-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXcursor-devel
BuildRequires: libappstream-glib

%description
vitetris is a terminal-based Tetris clone by Victor Nilsson Geraldsson.
Gameplay is much like the early Tetris games by Nintendo. Features include:

 - Configurable keys
 - Highscore table
 - Two-player mode with garbage
 - Network play
 - Joystick (gamepad) support on Linux or with Allegro

Rotation, scoring, levels and speed should resemble the early Tetris games
by Nintendo, with the addition of a short lock delay which makes it
possible to play at higher levels.  (It does not make it possible to
prevent the piece from ever locking by abusing lock delay resets.)

vitetris comes with more features and options than might be expected from
a simple text mode game.  Full input control, customizable appearance,
netplay where both players can choose difficulty (level and height) --
unless you must have sound (or just don't like Tetris), you won't be
dissappointed.  Everything is not described here, but you should be able
to figure it out.

%prep
%autosetup

mv licence.txt license.txt

%build
# unrecognized option "build=x86_64-redhat-linux-gnu"
# Do not use %%configure
./configure allegro=yes --docdir=%{_docdir} \
 --prefix=%{_prefix} --bindir=%{_bindir} \
 --pixmapdir=%{_datadir}/pixmaps/%{name} --desktopdir=%{_datadir}/applications
%make_build CFLAGS="%optflags" LDFLAGS="%__global_ldflags" CC=gcc

%install
%make_install
mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{buildroot}%{_datadir}/allegro %{buildroot}%{_datadir}/%{name}/

%make_install install-hiscores
desktop-file-edit --remove-key=Encoding --set-icon=%{_datadir}/pixmaps/%{name}/vitetris.xpm %{buildroot}%{_datadir}/applications/*.desktop
rm -rf %{buildroot}%{_datadir}/allegro

mkdir -p %{buildroot}%{_metainfodir}
install -pm 644 %{SOURCE1} %{buildroot}%{_metainfodir}/
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml

%files
%doc README
%license license.txt
%{_bindir}/tetris
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}/
%{_localstatedir}/games/%{name}-hiscores
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/vitetris.appdata.xml

%changelog
* Sat Oct 26 2019 Antonio Trande <sagitter@fedoraproject.org> - 0.58.0-1
- New package
